// Библиотека содержит набор процедур и функций для рисования элементарных элементов
// на дисплее (нарисовать точку, нарисовать линию, круг, прямоугольник и т.д.). 
// для вывода графики более высогого уровня (спрайтов, картинок и т.п.)
// необходимо исспользовать библиотеку ls020_draw_bmp.h

// Ориентация 
// -вертикальная XDIR:
//   *y---+
//   x    |
//   |    |
//   |    |
//   |    |
//   +----+
//
// -горизонтальная YDIR:
//   *y------+
//   x       |
//   |       |
//   +-------+
//
// * - начало координат



// нарисовать прямоугольник
void rectangle8(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2, uint8_t color)
{
  ls020_set_window(x1,y1,x2,y2);
  for (uint8_t y=y1;y<=y2;y++)
    for (uint8_t x=x1;x<=x2;x++)
      ls020_wrdata8(color);
}

// закрасить экран цветом
void fillscreen(uint8_t color)
{
 rectangle8(0,0,cSCHeight,cSCWidth,color);
}


